import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class MyWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Arena extends World
{

    /**
     * Constructor for objects of class MyWorld.
     * 
     */
    public Arena()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(800, 400, 1); 
        populateStatic();

    }

    public void populateStatic(){
        removeObjects(getObjects(null)); //removes all objects
        addObject(new Anthill(20), 200, 100);
        addObject(new HoneyDrop(50), 400, 150);
        addObject(new HoneyDrop(25), 350, 365);
        addObject(new HoneyDrop(75), 120, 225);
        addObject(new HoneyDrop(150), 750, 150);
        addObject(new HoneyDrop(125), 550, 20);
    }

    public void populateDynamic() {
        removeObjects(getObjects(null)); //removes all objects
        int anthills = 1+Greenfoot.getRandomNumber(2);
        int foods = 2+Greenfoot.getRandomNumber(5)*2;

        for(int i = 1; i <= anthills; i++){
            addObject( new Anthill(10+i*Greenfoot.getRandomNumber(10)), 
                randomPosition("width"), randomPosition("height")); //size of random anthilss varies
        }

        for(int i = 1; i <= foods; i++){
            addObject( new HoneyDrop(10+i*Greenfoot.getRandomNumber(20)), 
                randomPosition("width"), randomPosition("height")); //volume of random honey drops varies 
        }
    }

    public int randomPosition(String pos){
        if(pos == "width") {return(10+Greenfoot.getRandomNumber(790));} else {//returns width except border regions (10px margin)
            return(10+Greenfoot.getRandomNumber(390));} //returns height except border regions (10px margin)
    }
}
